#! /bin/csh
#
# file codeco_cmp.csh
#      ==============
#
# version 4, 26-Nov-98
#
# Converts given input file with codeco and compares output file with input
# file.
# K. Stammler, 19-Aug-98

if  ("$3" == "")  then
	echo "Usage: $0 <inpfile> <infmt> <outfmt> [<outfmt2>]"
	exit
endif

#set echo

# get parameters
set inpfile=$1
set infmt=$2
set outfmt=$3
set outfmt2=$4

# set constants
set outfile=$inpfile.$outfmt
set outfile2=$outfile.$outfmt2

# check parameters
if  (! -e $inpfile)  then
	echo "Cannot find input file $inpfile.  Abort."
	exit
endif

uico.csh $inpfile $infmt $outfile $outfmt

if  ("$outfmt" == "sac" || "$outfmt" == "saca")  then
	# convert back to gse and compare with original gse, delete sac's
	set resfile=$outfile.cm6
	if  (-e $resfile)  \rm $resfile
	set saclist=`ls $outfile*`
	foreach sac ($saclist)
		uico.csh $sac sac $sac.cm6 cm6
		touch $resfile
		cat $sac.cm6 >>$resfile
		\rm $sac $sac.cm6
	end
	gsediff.csh $inpfile $resfile
else if  ("$outfmt" == "css2" || "$outfmt" == "css3")  then
	# convert back to gse and compare with original gse, delete css's
	set resfile=$outfile.cm6
	if  (-e $resfile)  \rm $resfile
	uico.csh $outfile css3 $resfile cm6
	gsediff.csh $inpfile $resfile
	\rm $outfile*
else if  ("$outfmt" == "seed")  then
	# compare gse-input and seed-output
	gseseeddiff.csh $inpfile
else
	# compare gse-input and gse-output
	gsediff.csh $inpfile $outfile
endif

if  ("$outfmt2" == "")  exit

uico.csh $outfile gse $outfile2 $outfmt2
if  ("$outfmt2" == "seed")  then
	gseseeddiff.csh $outfile
else
	gsediff.csh $outfile $outfile2
endif

